Examplary
Start for free
Developer docs

Update library item

PATCHhttps://api.examplary.ai/library/items/{itemId}

Updates a library item. Requires at least editor access to the collection it belongs to.

Path parameters

itemIdstringrequired

Request body

qtiPackageUrlstring· uri

A QTI package (.zip) to import as a test, instead of adding an existing resource.

contentobject

A test (`Exam`, with its questions) or practice space (`PracticeSpace`, with its mastery topics) to publish as is, instead of adding an existing resource. Images it links to are copied to Examplary.

descriptionstring· min length: 1

A publicly visible description of the library item.

namestring· min length: 1
studentLevelstring· nullable

The student level associated with the library item.

subjectstring· nullable

The subject associated with the library item.

tagsarray string[] | null· nullable

Optional tags, e.g. ['math', 'science'].

licensestring· max length: 255· nullable

The license people may reuse the item under, e.g. `cc-by-sa`, `cc0` or `all-rights-reserved`.

sourceMaterialsarray object[]

Source materials of the resource to publish with it. People who copy the item get `full` ones in their workspace; `generation-only` ones are only used by the AI.

metadataobject

Custom values. Keys like `attribute_Level` are filterable in the library, and may hold a list. Defaults to the resource's custom attributes.

Responses

400 — Validation Error

successbooleanrequired

Allowed values:false

errorarray any[]required
dataanyrequired

Requirements

OAuth scopes

This endpoint requires the library:write scope to be present.